Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IRendererWithItemSelection.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IRendererWithItemSelection.java	(revision 649)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IRendererWithItemSelection.java	(revision 650)
@@ -68,4 +68,10 @@
      * @see #applySeriesPaint(int, Paint)
      */
     public Paint getSeriesPaint(int series);
+    
+    /**
+     * Initializes the renderer.
+     */
+    public void init();
+    
 }
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 649)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 650)
@@ -25,10 +25,11 @@
 import org.jfree.data.xy.XYSeriesCollection;
 import org.jfree.graphics2d.svg.SVGGraphics2D;
 import org.txm.chartsengine.core.ChartsEngine;
+import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.jfreechart.core.preferences.JFCChartsEnginePreferences;
 import org.txm.chartsengine.jfreechart.core.themes.base.ExtendedNumberAxis;
+import org.txm.chartsengine.jfreechart.core.themes.base.JFCTheme;
 import org.txm.chartsengine.jfreechart.core.themes.base.SymbolAxisBetweenTicks;
-import org.txm.chartsengine.jfreechart.core.themes.base.JFCTheme;
 import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.HighchartsDefaultTheme;
 import org.txm.core.preferences.TXMPreferences;
 
@@ -98,7 +99,7 @@
 	 * @param dataset
 	 * @return the JFreeChart chart
 	 */
-	public JFreeChart createXYLineChart(XYSeriesCollection dataset, String title, String xAxisLabel, String yAxisLabel, boolean showLegends, boolean useSplines, boolean linesVisible, boolean shapesVisible,
+	public JFreeChart createXYLineChart(ChartResult result, XYSeriesCollection dataset, String title, String xAxisLabel, String yAxisLabel, boolean showLegends, boolean useSplines, boolean linesVisible, boolean shapesVisible,
 			boolean domainAxisintegerTicks, boolean rangeAxisintegerTicks, boolean applyTheme, String[] domainAxisSymbols) {
 
 		JFreeChart chart = ChartFactory.createXYLineChart(title, xAxisLabel, yAxisLabel, dataset, PlotOrientation.VERTICAL, true, false, false);
@@ -107,7 +108,7 @@
 		XYPlot plot = chart.getXYPlot();
 		if(!useSplines)	{
 			// Custom XYLineAndShapeRenderer selection renderer
-			plot.setRenderer(this.jfcTheme.createXYLineAndShapeRenderer(linesVisible, shapesVisible));
+			plot.setRenderer(this.jfcTheme.createXYLineAndShapeRenderer(result, chart, linesVisible, shapesVisible));
 		}
 		else	{
 			// Custom XYSplineRenderer selection renderer
@@ -146,9 +147,9 @@
 
 	}
 
-	public JFreeChart createXYLineChart(XYSeriesCollection dataset, String title, String xAxisLabel, String yAxisLabel, boolean showLegends, boolean useSplines, boolean linesVisible, boolean shapesVisible,
+	public JFreeChart createXYLineChart(ChartResult result, XYSeriesCollection dataset, String title, String xAxisLabel, String yAxisLabel, boolean showLegends, boolean useSplines, boolean linesVisible, boolean shapesVisible,
 			boolean domainAxisintegerTicks, boolean rangeAxisintegerTicks, boolean applyTheme) {
-		return this.createXYLineChart(dataset, title, xAxisLabel, yAxisLabel, showLegends, useSplines, linesVisible, shapesVisible, domainAxisintegerTicks, rangeAxisintegerTicks, applyTheme, null);
+		return this.createXYLineChart(result, dataset, title, xAxisLabel, yAxisLabel, showLegends, useSplines, linesVisible, shapesVisible, domainAxisintegerTicks, rangeAxisintegerTicks, applyTheme, null);
 	}
 
 	/**
@@ -163,8 +164,8 @@
 	 * @param shapesVisible
 	 * @return
 	 */
-	public JFreeChart createXYLineChart(XYSeriesCollection dataset, String title, String xAxisLabel, String yAxisLabel, boolean showLegends, boolean useSplines, boolean linesVisible, boolean shapesVisible) {
-		return this.createXYLineChart(dataset, title, xAxisLabel, yAxisLabel, showLegends, useSplines, linesVisible, shapesVisible, false, false, true, null);
+	public JFreeChart createXYLineChart(ChartResult result, XYSeriesCollection dataset, String title, String xAxisLabel, String yAxisLabel, boolean showLegends, boolean useSplines, boolean linesVisible, boolean shapesVisible) {
+		return this.createXYLineChart(result, dataset, title, xAxisLabel, yAxisLabel, showLegends, useSplines, linesVisible, shapesVisible, false, false, true, null);
 	}
 
 
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartCreator.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartCreator.java	(revision 649)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartCreator.java	(revision 650)
@@ -10,6 +10,7 @@
 import org.txm.chartsengine.core.ChartCreator;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.core.results.ChartResult;
+import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
 
 
 
@@ -65,20 +66,35 @@
 			if(chart.getLegend() != null && result.hasParameterChanged(ChartsEnginePreferences.SHOW_LEGEND))	{
 				chart.getLegend().setVisible(result.isLegendVisible());
 			}
-			// grid visibility
 			// CategoryPlot
 			if(chart.getPlot() instanceof CategoryPlot)	{
 				CategoryPlot plot = (CategoryPlot) chart.getPlot();
+				// grid visibility
 				plot.setDomainGridlinesVisible(result.isGridVisible());
 				plot.setRangeGridlinesVisible(result.isGridVisible());
+				
+				// force the renderer initialization to override theme settings
+				if(plot.getRenderer() instanceof IRendererWithItemSelection)	{
+					((IRendererWithItemSelection) plot.getRenderer()).init();
+				}
 			}
 			// XYPlot
 			else if(chart.getPlot() instanceof XYPlot)	{
 				XYPlot plot = (XYPlot) chart.getPlot();
+				// grid visibility
 				plot.setRangeGridlinesVisible(result.isGridVisible());
 				plot.setDomainGridlinesVisible(result.isGridVisible());
+				
+				// force the renderer initialization to override theme settings
+				if(plot.getRenderer() instanceof IRendererWithItemSelection)	{
+					((IRendererWithItemSelection) plot.getRenderer()).init();
+				}
 			}
 			
+			
+			
+			
+			
 			chart.setNotify(true);
 		}
 		// File
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/JFCTheme.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/JFCTheme.java	(revision 649)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/JFCTheme.java	(revision 650)
@@ -260,7 +260,7 @@
 	 * @param shapesVisible
 	 * @return
 	 */
-	public XYLineAndShapeRenderer createXYLineAndShapeRenderer(boolean linesVisible, boolean shapesVisible)	{
+	public XYLineAndShapeRenderer createXYLineAndShapeRenderer(ChartResult result, JFreeChart chart, boolean linesVisible, boolean shapesVisible)	{
 		return new XYLineAndShapeRenderer(linesVisible, shapesVisible);
 	}
 
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYSplineRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYSplineRenderer.java	(revision 649)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYSplineRenderer.java	(revision 650)
@@ -37,7 +37,8 @@
 
 /**
  * Renderer providing item selection system and drawing features for selected item and custom rendering for XY charts with splines drawing support.
- * @author Sebastien Jacquot
+ * 
+ * @author sjacquot
  *
  */
 public class ItemSelectionXYSplineRenderer extends XYSplineRenderer implements IRendererWithItemSelection {
@@ -375,4 +376,11 @@
 	}
 
 
+	@Override
+	public void init() {
+		// TODO Auto-generated method stub
+		
+	}
+
+
 }
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java	(revision 649)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java	(revision 650)
@@ -11,9 +11,9 @@
 import java.awt.geom.Rectangle2D;
 import java.text.DecimalFormat;
 
+import org.jfree.chart.JFreeChart;
 import org.jfree.chart.axis.SymbolAxis;
 import org.jfree.chart.axis.ValueAxis;
-import org.jfree.chart.entity.EntityCollection;
 import org.jfree.chart.labels.XYToolTipGenerator;
 import org.jfree.chart.plot.CrosshairState;
 import org.jfree.chart.plot.PlotRenderingInfo;
@@ -23,6 +23,7 @@
 import org.jfree.data.xy.XYDataset;
 import org.jfree.data.xy.XYSeriesCollection;
 import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
+import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
@@ -41,6 +42,12 @@
 	 */
 	protected MultipleItemsSelector multipleItemsSelector;
 
+	
+	/**
+	 * The linked chart.
+	 */
+	protected JFreeChart chart;
+	
 
 	/**
 	 * Values number format.
@@ -51,8 +58,8 @@
 	/**
 	 * Creates a renderer with visible lines and visible shapes.
 	 */
-	public ItemSelectionXYLineAndShapeRenderer()	{
-		this(true, true);
+	public ItemSelectionXYLineAndShapeRenderer(ChartResult result, JFreeChart chart)	{
+		this(result, chart, true, true);
 	}
 
 
@@ -61,22 +68,35 @@
 	 * @param linesVisible
 	 * @param shapesVisible
 	 */
-	public ItemSelectionXYLineAndShapeRenderer(boolean linesVisible, boolean shapesVisible) {
+	public ItemSelectionXYLineAndShapeRenderer(ChartResult result, JFreeChart chart, boolean linesVisible, boolean shapesVisible) {
 		super(linesVisible, shapesVisible);
 
 		this.multipleItemsSelector = new MultipleItemsSelector(this);
-
+		this.multipleItemsSelector.setResult(result);
+		
+		this.chart = chart;
+		
 		// Default Values format
 		String pattern = new String("#0.####");
 		this.valuesNumberFormat = new DecimalFormat(pattern);
 
+		
+		this.init();
+		
 		// Labels
 		this.initItemLabelGenerator();
 		// Tooltips
 		this.initToolTipGenerator(this);
+		
+		
 	}
 
 
+	@Override
+	public void init() {
+		// TODO Auto-generated method stub
+	}
+	
 	/**
 	 * Initializes the item label generator.
 	 */
@@ -334,4 +354,7 @@
     }
 
 
+
+
+
 }
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYStepRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYStepRenderer.java	(revision 649)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYStepRenderer.java	(revision 650)
@@ -587,4 +587,10 @@
 	public String getSelectedItemLabelFromDataset(XYDataset dataset, int series, int item)	{
 		return "test label";
 	}
+
+	@Override
+	public void init() {
+		// TODO Auto-generated method stub
+		
+	}
 }
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java	(revision 649)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java	(revision 650)
@@ -236,6 +236,12 @@
 		this.mouseOverItemSelector.setChartType(chartType);
 	}
 
+	@Override
+	public void init() {
+		// TODO Auto-generated method stub
+		
+	}
 
 
+
 }
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java	(revision 649)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java	(revision 650)
@@ -189,5 +189,12 @@
 	}
 
 
+	@Override
+	public void init() {
+		// TODO Auto-generated method stub
+		
+	}
 
+
+
 }
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java	(revision 649)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java	(revision 650)
@@ -193,7 +193,14 @@
 	 }
 
 
+	@Override
+	public void init() {
+		// TODO Auto-generated method stub
+		
+	}
 
 
+
+
 }
 
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java	(revision 649)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java	(revision 650)
@@ -163,5 +163,12 @@
 	}
 
 
+	@Override
+	public void init() {
+		// TODO Auto-generated method stub
+		
+	}
 
+
+
 }
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYCardinalSplineRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYCardinalSplineRenderer.java	(revision 649)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYCardinalSplineRenderer.java	(revision 650)
@@ -357,4 +357,11 @@
 	}
 
 
+	@Override
+	public void init() {
+		// TODO Auto-generated method stub
+		
+	}
+
+
 }
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java	(revision 649)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java	(revision 650)
@@ -529,8 +529,8 @@
 
 
 	@Override
-	public XYLineAndShapeRenderer createXYLineAndShapeRenderer(boolean linesVisible, boolean shapesVisible) {
-		return new ItemSelectionXYLineAndShapeRenderer(linesVisible, shapesVisible);
+	public XYLineAndShapeRenderer createXYLineAndShapeRenderer(ChartResult result, JFreeChart chart, boolean linesVisible, boolean shapesVisible) {
+		return new ItemSelectionXYLineAndShapeRenderer(result, chart, linesVisible, shapesVisible);
 	}
 
 
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java	(revision 649)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java	(revision 650)
@@ -37,10 +37,6 @@
 public class CAItemSelectionRenderer extends ItemSelectionXYLineAndShapeRenderer {
 
 	
-	/**
-	 * The linked chart.
-	 */
-	protected JFreeChart chart;
 
 	/**
 	 * Stack to store selected items to draw at last, over other items.
@@ -53,12 +49,14 @@
 	 * Creates a renderer dedicated to CA charts.
 	 */
 	public CAItemSelectionRenderer(CA ca, JFreeChart chart) {
-		super();
-		this.chart = chart;
+		super(ca, chart);
 		this.multipleItemsSelector.setResult(ca);
 		this.setChartType(ChartsEngine.CHART_TYPE_CA_FACTORIAL_MAP);
-		
-		
+	}
+
+
+	@Override
+	public void init()	{
     	this.setBaseLinesVisible(false);
     	this.setBaseOutlinePaint(Color.decode("#666666"));
 
@@ -70,7 +68,7 @@
         this.setSeriesPaint(1, red);
 
         // Create the fonts
-        ((JFCChartsEngine) ca.getChartsEngine()).getJFCTheme().createFonts(ca);
+        ((JFCChartsEngine) this.multipleItemsSelector.getResult().getChartsEngine()).getJFCTheme().createFonts(this.multipleItemsSelector.getResult());
         
 		// Legends
 		ArrayList<Color> palette = new ArrayList<Color>(2);
@@ -79,7 +77,7 @@
 		LegendTitle legendTitle = chart.getLegend(0);
 		if (legendTitle != null) {
 			legendTitle.setFrame(new BlockRoundBorder(Color.GRAY));
-			((JFCChartsEngine) ca.getChartsEngine()).getJFCTheme().applyLegendDefaultSettings(legendTitle, false, false, palette);
+			((JFCChartsEngine) this.multipleItemsSelector.getResult().getChartsEngine()).getJFCTheme().applyLegendDefaultSettings(legendTitle, false, false, palette);
 		}
         
     	// Grid
@@ -93,11 +91,9 @@
 		chart.getXYPlot().getRangeAxis().setTickMarksVisible(true);
 		chart.getXYPlot().getDomainAxis().setVerticalTickLabels(false);
 		chart.getXYPlot().getDomainAxis().setAxisLineVisible(true);
-  
-	}
 
-
-
+	}
+	
 	@Override
 	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
 		// Rows
Index: tmp/org.txm.xmleditor.rcp/src/org/txm/xmleditor/OpenXMLEditor.java
===================================================================
--- tmp/org.txm.xmleditor.rcp/src/org/txm/xmleditor/OpenXMLEditor.java	(revision 649)
+++ tmp/org.txm.xmleditor.rcp/src/org/txm/xmleditor/OpenXMLEditor.java	(revision 650)
@@ -8,29 +8,21 @@
 import org.eclipse.core.commands.ExecutionException;
 import org.eclipse.core.filesystem.EFS;
 import org.eclipse.core.filesystem.IFileStore;
-import org.eclipse.core.resources.IStorage;
 import org.eclipse.core.runtime.Path;
-import org.eclipse.equinox.internal.ds.storage.file.FileStorage;
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.IStructuredSelection;
-import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.widgets.FileDialog;
 import org.eclipse.swt.widgets.Shell;
-import org.eclipse.ui.IStorageEditorInput;
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.eclipse.ui.ide.FileStoreEditorInput;
-import org.eclipse.wst.xml.ui.internal.tabletree.XMLMultiPageEditorPart;
-import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.rcp.Messages;
 import org.txm.rcp.StatusLine;
-import org.txm.rcp.TXMWindows;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.utils.logger.Log;
 
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/jfreechart/JFCSpecificitiesBarChartCreator.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/jfreechart/JFCSpecificitiesBarChartCreator.java	(revision 649)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/jfreechart/JFCSpecificitiesBarChartCreator.java	(revision 650)
@@ -49,7 +49,7 @@
         }
         else	{
 			// Create the line chart
-	        chart = this.getChartsEngine().createXYLineChart(dataset, specificitiesSelection.getName(), SpecificitiesCoreMessages.Charts_X_AXIS_LABEL, SpecificitiesCoreMessages.Charts_Y_AXIS_LABEL,
+	        chart = this.getChartsEngine().createXYLineChart(result, dataset, specificitiesSelection.getName(), SpecificitiesCoreMessages.Charts_X_AXIS_LABEL, SpecificitiesCoreMessages.Charts_Y_AXIS_LABEL,
 	        		true, false, true, true, true, false, false);
         }
 
